#!/usr/bin/env python
#Boa:App:BoaApp

from wxPython.wx import *

import sys
import getopt

import glext2_gui

modules ={u'glext2_gui': [1, 'Main frame of Application', u'glext2_gui.py']}

class BoaApp(wxApp):
    def OnInit(self):
        wxInitAllImageHandlers()
        self.main = glext2_gui.create(None)
        self.main.Show()
        self.SetTopWindow(self.main)
        return True
    
class NonGuiApp(wxApp):
    def init(self, xml, header):
        wxInitAllImageHandlers()
        self.main = glext2_gui.create(None)
        self.main.SetWindowOutput (False)
        if xml:
            glext2_gui.CreateXML (self.main)
        if header:
            glext2_gui.ProcessXML (self.main)
        return True

def main():
    application = BoaApp(0)
    application.MainLoop()





if __name__ == '__main__':
    try:
        opts, args = getopt.getopt(sys.argv[1:], "xcg:", ["xml", "class-header", "gui="])
    except getopt.GetoptError:
        # print help information and exit:
        # @@@todo help
        print "error"
        sys.exit(2)
    
    create_xml = False
    create_class_header = False
    gui = True
    for o, a in opts:
        if o in ("-x", "--xml"):
            create_xml = True
        if o in ("-c", "--class-header"):
            create_class_header = True
        if o in ("-g", "--gui"):
            gui = (a == "on" or a == "true" or a == "1")

    if not gui:
        application = NonGuiApp (0)
        application.init (create_xml, create_class_header)
    else:
        main ()
